package org.example;

import org.example.mapper.SqlConvertPerformanceMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;
import java.util.concurrent.ThreadLocalRandom;

@RestController
public class Api {

    @Autowired
    private SqlConvertPerformanceMapper mapper;

    private final ThreadLocal<Adder> adders = ThreadLocal.withInitial(Adder::new);

    @RequestMapping("sql1")
    public List<Map<String, Object>> sql1() {
        return mapper.sql1(getRandom(), getUserId());
    }

    @RequestMapping("sql2")
    public List<Map<String, Object>> sql2() {
        return mapper.sql2(getRandom(), getUserId());
    }

    @RequestMapping("sql3")
    public List<Map<String, Object>> sql3() {
        return mapper.sql3(getRandom(), getUserId());
    }

    @RequestMapping("sql1-cache")
    public List<Map<String, Object>> sql1Cache() {
        return mapper.sql1("1", getUserId());
    }

    @RequestMapping("sql2-cache")
    public List<Map<String, Object>> sql2Cache() {
        return mapper.sql2("1", getUserId());
    }

    @RequestMapping("sql3-cache")
    public List<Map<String, Object>> sql3Cache() {
        return mapper.sql3("1", getUserId());
    }

    private String getRandom() {
        final String tn = Thread.currentThread().getName();
        return tn + "-" + ++adders.get().add;
    }

    private String getUserId() {
        return String.valueOf(ThreadLocalRandom.current().nextInt(9) + 1);
    }

    public static class Adder {
        int add = 0;
    }
}
