-- create schema sql_convert_test authorization lightdb;

create schema unisql;

CREATE TABLE IF NOT EXISTS tsys_grant (
    grant_id integer DEFAULT 0 NOT NULL,
    org_id character varying(70) DEFAULT NULL::character varying,
    user_id character varying(32) NOT NULL,
    grant_user_id character varying(32) NOT NULL,
    begin_date integer DEFAULT 0 NOT NULL,
    end_date integer DEFAULT 0 NOT NULL,
    user_operate character varying(32) NOT NULL,
    dtime_operate bigint NOT NULL,
    user_verify character varying(32) NOT NULL,
    dtime_verify bigint NOT NULL,
    fa_grant_id integer DEFAULT 0,
    approval_status character varying(2) DEFAULT NULL::character varying,
    process_status character varying(8) DEFAULT '0'::character varying,
    PRIMARY KEY (grant_id)
);


CREATE TABLE IF NOT EXISTS tsys_handover (
    handover_id integer DEFAULT 0 NOT NULL,
    org_id character varying(70) DEFAULT NULL::character varying,
    user_id character varying(32) NOT NULL,
    handover_user_id character varying(32) NOT NULL,
    begin_date integer DEFAULT 0 NOT NULL,
    confirm_date integer DEFAULT 0 NOT NULL,
    end_date integer DEFAULT 0 NOT NULL,
    handover_state integer DEFAULT 0 NOT NULL,
    user_operate character varying(32) NOT NULL,
    dtime_operate bigint NOT NULL,
    user_verify character varying(32) NOT NULL,
    dtime_verify bigint NOT NULL,
    fa_handover_id integer DEFAULT 0,
    approval_status character varying(2) DEFAULT NULL::character varying,
    PRIMARY KEY (handover_id)
);

CREATE TABLE IF NOT EXISTS tsys_kind (
    kind_code character varying(100) NOT NULL,
    kind_type character varying(8) NOT NULL,
    kind_name character varying(32) NOT NULL,
    parent_code character varying(16) DEFAULT NULL::character varying,
    mnemonic character varying(32) DEFAULT NULL::character varying,
    tree_idx character varying(255) DEFAULT NULL::character varying,
    ext_flag character varying(8) DEFAULT NULL::character varying,
    lifecycle character varying(8) DEFAULT NULL::character varying,
    platform character varying(8) DEFAULT NULL::character varying,
    remark character varying(255) DEFAULT NULL::character varying,
    tenant_id character varying(100) DEFAULT NULL::character varying,
    system_code character varying(100) DEFAULT NULL::character varying,
    home_url character varying(200) DEFAULT NULL::character varying,
    system_url character varying(256) DEFAULT NULL::character varying,
    order_index integer DEFAULT 0,
    lang_kind_name character varying(100) DEFAULT NULL::character varying,
    hk_kind_name character varying(100) DEFAULT NULL::character varying,
    is_all_auth character varying(1) DEFAULT NULL::character varying,
    status character varying(2) DEFAULT '1'::character varying,
    PRIMARY KEY (kind_code)
);

CREATE TABLE IF NOT EXISTS tsys_menu (
    menu_code character varying(200) NOT NULL,
    kind_code character varying(100) NOT NULL,
    trans_code character varying(200) DEFAULT NULL::character varying,
    sub_trans_code character varying(200) DEFAULT NULL::character varying,
    menu_name character varying(200) NOT NULL,
    menu_arg character varying(2048) DEFAULT NULL::character varying,
    menu_icon character varying(255) DEFAULT NULL::character varying,
    menu_url character varying(255) DEFAULT NULL::character varying,
    window_type character varying(8) DEFAULT NULL::character varying,
    window_model character varying(8) DEFAULT NULL::character varying,
    tip character varying(255) DEFAULT NULL::character varying,
    hot_key character varying(8) DEFAULT NULL::character varying,
    parent_code character varying(200) DEFAULT NULL::character varying,
    order_no bigint,
    open_flag character varying(8) DEFAULT NULL::character varying,
    tree_idx character varying(255) DEFAULT NULL::character varying,
    remark character varying(255) DEFAULT NULL::character varying,
    menu_plugin_name character varying(128) DEFAULT NULL::character varying,
    menu_plugin_dll character varying(255) DEFAULT NULL::character varying,
    menu_type character varying(40) DEFAULT NULL::character varying,
    help_url character varying(512) DEFAULT NULL::character varying,
    tenant_id character varying(100) DEFAULT NULL::character varying,
    module_id integer DEFAULT 0,
    menu_no character varying(32) DEFAULT NULL::character varying,
    menu_level integer DEFAULT 0,
    menu_i18n character varying(64) DEFAULT NULL::character varying,
    ext_field character varying(200) DEFAULT NULL::character varying,
    ext_field1 character varying(100) DEFAULT NULL::character varying,
    ext_field2 character varying(100) DEFAULT NULL::character varying,
    ext_field3 character varying(100) DEFAULT NULL::character varying,
    ext_field4 character varying(100) DEFAULT NULL::character varying,
    ext_field5 character varying(100) DEFAULT NULL::character varying,
    menu_is_leaf character varying(10) DEFAULT NULL::character varying,
    module_type character varying(4000) DEFAULT NULL::character varying,
    param character varying(500) DEFAULT NULL::character varying,
    app_code character varying(100) DEFAULT 'BIZFRAME'::character varying,
    is_hidden boolean DEFAULT false,
    is_keep_alivea boolean DEFAULT true,
    lang_menu_name character varying(200) DEFAULT NULL::character varying,
    hk_menu_name character varying(200) DEFAULT NULL::character varying,
    font_name character varying(255) DEFAULT NULL::character varying,
    sub_system_no character varying(100) DEFAULT NULL::character varying,
    org_id character varying(70) DEFAULT NULL::character varying,
    menu_class character varying(10) DEFAULT NULL::character varying,
    licence_type character varying(20) DEFAULT '0'::character varying,
    is_open_process character varying(2),
    PRIMARY KEY (menu_code)
);

CREATE TABLE IF NOT EXISTS tsys_organization (
    org_id character varying(70) NOT NULL,
    dimension character varying(8) DEFAULT NULL::character varying,
    org_code character varying(64) DEFAULT NULL::character varying,
    org_name character varying(128) DEFAULT NULL::character varying,
    parent_id character varying(70) DEFAULT NULL::character varying,
    manage_id character varying(70) DEFAULT NULL::character varying,
    position_code character varying(64) DEFAULT NULL::character varying,
    org_cate character varying(8) DEFAULT NULL::character varying,
    org_level character varying(8) DEFAULT NULL::character varying,
    org_order integer,
    org_path character varying(512) DEFAULT NULL::character varying,
    sso_org_code character varying(32) DEFAULT NULL::character varying,
    sso_parent_code character varying(32) DEFAULT NULL::character varying,
    ext_id character varying(128) DEFAULT NULL::character varying,
    remark character varying(255) DEFAULT NULL::character varying,
    status integer DEFAULT 0,
    tenant_id character varying(100) DEFAULT NULL::character varying,
    org_type character varying(8) DEFAULT NULL::character varying,
    branch_type character varying(2) DEFAULT NULL::character varying,
    branch_zone integer DEFAULT 0,
    company_no integer DEFAULT 0,
    local_no character varying(10) DEFAULT ' '::character varying,
    csrc_code character varying(8) DEFAULT ' '::character varying,
    contact character varying(60) DEFAULT ' '::character varying,
    telephone character varying(32) DEFAULT ' '::character varying,
    zipcode character varying(6) DEFAULT ' '::character varying,
    address character varying(120) DEFAULT ' '::character varying,
    branch_ctrlstr character varying(255) DEFAULT ' '::character varying,
    e_mail character varying(64) DEFAULT ' '::character varying,
    branch_kind character(1) DEFAULT ''::bpchar,
    province_code character varying(16) DEFAULT ' '::character varying,
    city_code character varying(16) DEFAULT ' '::character varying,
    tenant_name character varying(256) DEFAULT NULL::character varying,
    approval_status character varying(2) DEFAULT NULL::character varying,
    create_date bigint,
    modify_date bigint,
    create_time integer,
    modify_time integer,
    kind_code character varying(100) DEFAULT NULL::character varying,
    creator character varying(32) DEFAULT NULL::character varying,
    operator character varying(32) DEFAULT NULL::character varying,
    lang_org_name character varying(200) DEFAULT NULL::character varying,
    is_branch character varying(8) DEFAULT NULL::character varying,
    heads character varying(32) DEFAULT NULL::character varying,
    leader character varying(32) DEFAULT NULL::character varying,
    relational_org_id character varying(70) DEFAULT NULL::character varying,
    securities character varying(128),
    business character varying(32),
    regulatory character varying(16),
    org_ext_field1 character varying(2000),
    org_ext_field2 character varying(2000),
    org_ext_field3 character varying(2000),
    org_ext_field4 character varying(2000),
    org_ext_field5 character varying(2000),
    org_abbreviation character varying(128),
    PRIMARY KEY (org_id)
);

CREATE TABLE IF NOT EXISTS tsys_pos_role (
    position_code character varying(64) NOT NULL,
    role_code character varying(64) NOT NULL,
    right_flag character varying(8) NOT NULL,
    PRIMARY KEY (position_code, role_code, right_flag)
);

CREATE TABLE IF NOT EXISTS tsys_pos_user (
    position_code character varying(64) NOT NULL,
    user_id character varying(32) NOT NULL,
    PRIMARY KEY (user_id, position_code)
);

CREATE TABLE IF NOT EXISTS tsys_role (
    role_code character varying(64) NOT NULL,
    role_name character varying(128) DEFAULT NULL::character varying,
    creator character varying(32) DEFAULT NULL::character varying,
    remark character varying(255) DEFAULT NULL::character varying,
    parent_id character varying(16) DEFAULT NULL::character varying,
    role_path character varying(255) DEFAULT NULL::character varying,
    role_order integer DEFAULT 0,
    create_date integer,
    modify_date integer,
    create_time integer,
    modify_time integer,
    begin_date bigint DEFAULT '0'::bigint,
    end_date bigint DEFAULT '0'::bigint,
    role_type integer DEFAULT 0,
    kind_code character varying(100) DEFAULT NULL::character varying,
    role_flag integer,
    tenant_id character varying(100) DEFAULT NULL::character varying,
    tenant_name character varying(256) DEFAULT NULL::character varying,
    approval_status character varying(2) DEFAULT NULL::character varying,
    role_status character varying(2) DEFAULT '1'::character varying,
    start_operator character varying(32) DEFAULT NULL::character varying,
    stop_operator character varying(32) DEFAULT NULL::character varying,
    last_start_dtime bigint DEFAULT '0'::bigint,
    last_stop_dtime bigint DEFAULT '0'::bigint,
    role_class character varying(10) DEFAULT '0'::character varying,
    lang_role_name character varying(200) DEFAULT NULL::character varying,
    org_id character varying(70) DEFAULT NULL::character varying,
    use_scope character varying(8) DEFAULT NULL::character varying,
    role_cate character varying(8) DEFAULT NULL::character varying,
    role_level character varying(2) DEFAULT NULL::character varying,
    opt_type character varying(2) DEFAULT NULL::character varying,
    role_no bigint,
    role_ext_field1 character varying(2000),
    role_ext_field2 character varying(2000),
    role_ext_field3 character varying(2000),
    role_ext_field4 character varying(2000),
    role_ext_field5 character varying(2000),
    PRIMARY KEY (role_code)
);

CREATE TABLE IF NOT EXISTS tsys_role_right (
    trans_code character varying(200) NOT NULL,
    sub_trans_code character varying(200) NOT NULL,
    role_code character varying(64) NOT NULL,
    create_by character varying(32) DEFAULT NULL::character varying,
    create_date bigint,
    begin_date bigint NOT NULL,
    end_date bigint NOT NULL,
    right_flag character varying(8) NOT NULL,
    right_enable character varying(8) DEFAULT NULL::character varying,
    tenant_uuid character varying(50) DEFAULT 'BIZUUID'::character varying NOT NULL,
    module_type character varying(4000) DEFAULT NULL::character varying,
    action_type character varying(10) DEFAULT NULL::character varying,
    tenant_id character varying(100) DEFAULT NULL::character varying,
    kind_code character varying(100) DEFAULT NULL::character varying,
    PRIMARY KEY (trans_code, sub_trans_code, role_code, begin_date, end_date, right_flag, tenant_uuid)
);

CREATE TABLE IF NOT EXISTS tsys_role_user (
    user_code character varying(32) NOT NULL,
    role_code character varying(64) NOT NULL,
    right_flag character varying(1) NOT NULL,
    status character varying(1) DEFAULT '0'::character varying,
    PRIMARY KEY (user_code, role_code, right_flag)
);

CREATE TABLE IF NOT EXISTS tsys_space_role_user (
    space_id character varying(64) DEFAULT ''::character varying NOT NULL,
    user_id character varying(64) DEFAULT ''::character varying NOT NULL,
    role_code character varying(64) DEFAULT ''::character varying NOT NULL,
    right_flag character varying(2) DEFAULT ''::character varying NOT NULL,
    last_modified timestamp with time zone,
    last_modified_by character varying(255) DEFAULT NULL::character varying,
    PRIMARY KEY (space_id, user_id, role_code, right_flag)
);

CREATE TABLE IF NOT EXISTS tsys_tenant (
    tenant_id character varying(50) NOT NULL,
    tenant_name character varying(100) NOT NULL,
    kind_code character varying(100) DEFAULT NULL::character varying,
    kind_name character varying(100) DEFAULT NULL::character varying,
    remark character varying(500) DEFAULT NULL::character varying,
    tenant_status character varying(8) DEFAULT '0'::character varying,
    parent_id character varying(50) DEFAULT NULL::character varying,
    logo text,
    is_local_lang character varying(2) DEFAULT NULL::character varying,
    PRIMARY KEY (tenant_id)
);

CREATE TABLE IF NOT EXISTS tsys_trans (
    trans_code character varying(200) NOT NULL,
    trans_name character varying(200) NOT NULL,
    kind_code character varying(100) DEFAULT NULL::character varying,
    model_code character varying(32) DEFAULT NULL::character varying,
    remark character varying(255) DEFAULT NULL::character varying,
    ext_field_1 character varying(255) DEFAULT NULL::character varying,
    ext_field_2 character varying(255) DEFAULT NULL::character varying,
    ext_field_3 character varying(255) DEFAULT NULL::character varying,
    tenant_id character varying(100) DEFAULT NULL::character varying,
    trans_order bigint DEFAULT '0'::bigint,
    parent_code character varying(32) DEFAULT NULL::character varying,
    tree_idx character varying(255) DEFAULT NULL::character varying,
    PRIMARY KEY (trans_code)
);

CREATE TABLE IF NOT EXISTS tsys_user (
    user_id character varying(32) NOT NULL,
    user_name character varying(100) DEFAULT NULL::character varying,
    user_pwd character varying(255) DEFAULT NULL::character varying,
    org_id character varying(70) DEFAULT NULL::character varying,
    user_type character varying(8) NOT NULL,
    user_status character varying(8) NOT NULL,
    lock_status character varying(8) NOT NULL,
    create_date bigint NOT NULL,
    modify_date bigint,
    pass_modify_date bigint,
    mobile character varying(32) DEFAULT NULL::character varying,
    email character varying(255) DEFAULT NULL::character varying,
    ext_flag character varying(8) DEFAULT NULL::character varying,
    remark character varying(255) DEFAULT NULL::character varying,
    ext_field_1 character varying(255) DEFAULT NULL::character varying,
    ext_field_2 character varying(255) DEFAULT NULL::character varying,
    ext_field_3 character varying(4000) DEFAULT NULL::character varying,
    ext_field_4 character varying(255) DEFAULT NULL::character varying,
    user_order integer,
    ext_field_5 character varying(255) DEFAULT NULL::character varying,
    c_identitytype character varying(3) DEFAULT NULL::character varying,
    c_identityno character varying(40) DEFAULT NULL::character varying,
    c_credentials character varying(40) DEFAULT NULL::character varying,
    create_time integer,
    modify_time integer,
    operator_no integer,
    phone character varying(200) DEFAULT NULL::character varying,
    fax character varying(200) DEFAULT NULL::character varying,
    creator character varying(32) DEFAULT NULL::character varying,
    editor character varying(32) DEFAULT NULL::character varying,
    tenant_id character varying(100) DEFAULT NULL::character varying,
    en_busi_line character varying(64) DEFAULT ' '::character varying,
    employee_no character varying(256) DEFAULT NULL::character varying,
    tenant_name character varying(256) DEFAULT NULL::character varying,
    en_field_kind character varying(256) DEFAULT NULL::character varying,
    work_status character varying(1) DEFAULT '1'::character varying,
    kind_code character varying(100) DEFAULT NULL::character varying,
    approval_status character varying(2) DEFAULT NULL::character varying,
    user_img_path character varying(200) DEFAULT NULL::character varying,
    filter_msg_type character varying(5) DEFAULT NULL::character varying,
    is_leader character varying(2) DEFAULT NULL::character varying,
    superior_user_id character varying(32) DEFAULT NULL::character varying,
    user_nickname character varying(32) DEFAULT NULL::character varying,
    user_ban character varying(256) DEFAULT NULL::character varying,
    cancel_date bigint,
    address character varying(256) DEFAULT NULL::character varying,
    lang_user_name character varying(100) DEFAULT NULL::character varying,
    login_type character varying(2) DEFAULT NULL::character varying,
    user_sync_system character varying(100) DEFAULT NULL::character varying,
    right_status character varying(8) DEFAULT NULL::character varying,
    user_cate character varying(8) DEFAULT NULL::character varying,
    pwd_type character varying(2) DEFAULT NULL::character varying,
    user_resource character varying(2) DEFAULT NULL::character varying,
    opt_type character varying(2) DEFAULT NULL::character varying,
    user_signature_path character varying(200) DEFAULT NULL::character varying,
    ower character varying(100) DEFAULT NULL::character varying,
    ower_type character varying(2) DEFAULT NULL::character varying,
    index_url character varying(300) DEFAULT NULL::character varying,
    effective_date bigint,
    ldap_user_id character varying(100) DEFAULT NULL::character varying,
    product_permission character varying(20) DEFAULT NULL::character varying,
    unit_permission character varying(20) DEFAULT NULL::character varying,
    manager_code character varying(18),
    user_ext_field1 character varying(2000),
    user_ext_field2 character varying(2000),
    user_ext_field3 character varying(2000),
    user_ext_field4 character varying(2000),
    user_ext_field5 character varying(2000),
    PRIMARY KEY (user_id)
);

CREATE TABLE IF NOT EXISTS tsys_user_login (
    user_id character varying(32) NOT NULL,
    last_login_date bigint,
    last_login_time bigint,
    last_login_ip character varying(100) DEFAULT NULL::character varying,
    login_fail_times bigint,
    last_fail_date bigint,
    ext_field character varying(16) DEFAULT NULL::character varying,
    kind_code character varying(100) DEFAULT NULL::character varying,
    tenant_id character varying(100) DEFAULT NULL::character varying,
    curr_language character varying(50) DEFAULT 'zh-CN'::character varying,
    PRIMARY KEY (user_id)
);

CREATE TABLE IF NOT EXISTS tsys_user_right (
    trans_code character varying(200) NOT NULL,
    sub_trans_code character varying(200) NOT NULL,
    user_id character varying(32) NOT NULL,
    create_by character varying(32) DEFAULT NULL::character varying,
    create_date bigint,
    begin_date bigint NOT NULL,
    end_date bigint NOT NULL,
    right_flag character varying(8) NOT NULL,
    right_enable character varying(8) DEFAULT NULL::character varying,
    tenant_uuid character varying(50) DEFAULT 'BIZUUID'::character varying NOT NULL,
    module_type character varying(4000) DEFAULT NULL::character varying,
    action_type character varying(10) DEFAULT NULL::character varying,
    tenant_id character varying(100) DEFAULT NULL::character varying,
    kind_code character varying(100) DEFAULT NULL::character varying,
    PRIMARY KEY (trans_code, sub_trans_code, user_id, begin_date, end_date, right_flag, tenant_uuid)
);

CREATE TABLE IF NOT EXISTS tsys_user_right_black (
    trans_code character varying(200) NOT NULL,
    sub_trans_code character varying(200) NOT NULL,
    user_id character varying(32) NOT NULL,
    PRIMARY KEY (trans_code, sub_trans_code, user_id)
);

CREATE TABLE IF NOT EXISTS tsys_user_right_exclude (
    trans_code character varying(200) NOT NULL,
    sub_trans_code character varying(200) NOT NULL,
    user_id character varying(32) NOT NULL,
    grant_user_id character varying(32) NOT NULL,
    create_by character varying(32) DEFAULT NULL::character varying,
    create_date bigint,
    begin_date bigint NOT NULL,
    end_date bigint NOT NULL,
    right_flag character varying(8) NOT NULL,
    right_enable character varying(8) DEFAULT NULL::character varying,
    tenant_uuid character varying(50) DEFAULT 'BIZUUID'::character varying,
    tenant_id character varying(100) DEFAULT NULL::character varying,
    kind_code character varying(100) DEFAULT NULL::character varying,
    PRIMARY KEY (trans_code, sub_trans_code, user_id, grant_user_id, begin_date, end_date, right_flag)
);

CREATE INDEX IF NOT EXISTS idx_21245025_fk_menu_source ON tsys_menu USING btree (trans_code, sub_trans_code);
CREATE INDEX IF NOT EXISTS idx_21245025_fk_sysmenu_kind ON tsys_menu USING btree (kind_code);
CREATE INDEX IF NOT EXISTS idx_21245025_indx_biz_menu_code ON tsys_menu USING btree (menu_code);
CREATE INDEX IF NOT EXISTS idx_21245025_indx_biz_menu_name ON tsys_menu USING btree (menu_name);
CREATE INDEX IF NOT EXISTS idx_21245025_indx_biz_menu_pcode ON tsys_menu USING btree (parent_code);
CREATE INDEX IF NOT EXISTS idx_21245154_indx_biz_org_code ON tsys_organization USING btree (org_code);
CREATE INDEX IF NOT EXISTS idx_21245154_indx_biz_org_dimension ON tsys_organization USING btree (dimension);
CREATE INDEX IF NOT EXISTS idx_21245154_indx_biz_org_name ON tsys_organization USING btree (org_name);
CREATE INDEX IF NOT EXISTS idx_21245291_indx_biz_posuser_pos_code ON tsys_pos_user USING btree (position_code);
CREATE INDEX IF NOT EXISTS idx_21245345_indx_biz_role_creator ON tsys_role USING btree (creator);
CREATE INDEX IF NOT EXISTS idx_21245345_indx_biz_role_name ON tsys_role USING btree (role_name);
CREATE INDEX IF NOT EXISTS idx_21245385_fk_right_role ON tsys_role_right USING btree (role_code);
CREATE INDEX IF NOT EXISTS idx_21245420_fk_roleuser_role ON tsys_role_user USING btree (role_code);
CREATE INDEX IF NOT EXISTS idx_21245420_indx_biz_roleuser_flag ON tsys_role_user USING btree (right_flag);
CREATE INDEX IF NOT EXISTS idx_21245420_indx_biz_roleuser_ru ON tsys_role_user USING btree (user_code);
CREATE INDEX IF NOT EXISTS idx_21245542_indx_biz_user_name ON tsys_user USING btree (user_name);
CREATE INDEX IF NOT EXISTS idx_21245542_org_id ON tsys_user USING btree (org_id);
CREATE INDEX IF NOT EXISTS idx_21245697_fk_right_user ON tsys_user_right USING btree (user_id);
CREATE INDEX IF NOT EXISTS idx_tsys_user_right_black on tsys_user_right_black using btree(user_id); 

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_grant
(grant_id, org_id, user_id, grant_user_id, begin_date, end_date, user_operate, dtime_operate, user_verify, dtime_verify, fa_grant_id, approval_status, process_status)
select s, s, s, (random() * 10)::integer::character, 0, 0, '', 0, '', 0, 0, NULL::character varying, '0'::character varying from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_handover
(handover_id, org_id, user_id, handover_user_id, begin_date, confirm_date, end_date, handover_state, user_operate, dtime_operate, user_verify, dtime_verify, fa_handover_id, approval_status)
select s, s, s, (random() * 10), 0, 0, 0, 0, '', 0, '', 0, 0, NULL::character varying from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_kind
(kind_code, kind_type, kind_name, parent_code, mnemonic, tree_idx, ext_flag, lifecycle, platform, remark, tenant_id, system_code, home_url, system_url, order_index, lang_kind_name, hk_kind_name, is_all_auth, status)
select s, 'A', s||'name', NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, NULL::character varying, NULL::character varying, NULL::character varying, '1'::character varying from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_menu
(menu_code, kind_code, trans_code, sub_trans_code, menu_name, menu_arg, menu_icon, menu_url, window_type, window_model, tip, hot_key, parent_code, order_no, open_flag, tree_idx, remark, menu_plugin_name, menu_plugin_dll, menu_type, help_url, tenant_id, module_id, menu_no, menu_level, menu_i18n, ext_field, ext_field1, ext_field2, ext_field3, ext_field4, ext_field5, menu_is_leaf, module_type, param, app_code, is_hidden, is_keep_alivea, lang_menu_name, hk_menu_name, font_name, sub_system_no, org_id, menu_class, licence_type, is_open_process)
select s, s, s, s, '', NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, NULL::character varying, 0, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 'BIZFRAME'::character varying, false, true, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, '0'::character varying, '' from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_organization
(org_id, dimension, org_code, org_name, parent_id, manage_id, position_code, org_cate, org_level, org_order, org_path, sso_org_code, sso_parent_code, ext_id, remark, status, tenant_id, org_type, branch_type, branch_zone, company_no, local_no, csrc_code, contact, telephone, zipcode, address, branch_ctrlstr, e_mail, branch_kind, province_code, city_code, tenant_name, approval_status, create_date, modify_date, create_time, modify_time, kind_code, creator, "operator", lang_org_name, is_branch, heads, leader, relational_org_id, securities, business, regulatory, org_ext_field1, org_ext_field2, org_ext_field3, org_ext_field4, org_ext_field5, org_abbreviation)
select s, NULL::character varying, s, 'org_' || s, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, NULL::character varying, NULL::character varying, NULL::character varying, 0, 0, ' '::character varying, ' '::character varying, ' '::character varying, ' '::character varying, ' '::character varying, ' '::character varying, ' '::character varying, ' '::character varying, ''::bpchar, ' '::character varying, ' '::character varying, NULL::character varying, NULL::character varying, 0, 0, 0, 0, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, '', '', '', '', '', '', '', '', '' from gen;

INSERT INTO tsys_pos_role
(position_code, role_code, right_flag)
VALUES(generate_series(1, 1000), generate_series(1, 1000), '');

INSERT INTO tsys_pos_user
(position_code, user_id)
VALUES(generate_series(1, 1000), generate_series(1, 1000));

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_role
(role_code, role_name, creator, remark, parent_id, role_path, role_order, create_date, modify_date, create_time, modify_time, begin_date, end_date, role_type, kind_code, role_flag, tenant_id, tenant_name, approval_status, role_status, start_operator, stop_operator, last_start_dtime, last_stop_dtime, role_class, lang_role_name, org_id, use_scope, role_cate, role_level, opt_type, role_no, role_ext_field1, role_ext_field2, role_ext_field3, role_ext_field4, role_ext_field5)
select s, 'role_' || s, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, 0, 0, 0, 0, '0'::bigint, '0'::bigint, 0, NULL::character varying, 0, NULL::character varying, NULL::character varying, NULL::character varying, '1'::character varying, NULL::character varying, NULL::character varying, '0'::bigint, '0'::bigint, '0'::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, '', '', '', '', '' from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_role_right
(trans_code, sub_trans_code, role_code, create_by, create_date, begin_date, end_date, right_flag, right_enable, tenant_uuid, module_type, action_type, tenant_id, kind_code)
select s, s, s, NULL::character varying, 0, 0, 0, '', NULL::character varying, 'BIZUUID'::character varying, NULL::character varying, NULL::character varying, NULL::character varying, s from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_role_user
(user_code, role_code, right_flag, status)
select s, s, '', '0'::character varying from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_space_role_user
(space_id, user_id, role_code, right_flag, last_modified, last_modified_by)
select s, s, s, ''::character varying, current_timestamp, NULL::character varying from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_tenant
(tenant_id, tenant_name, kind_code, kind_name, remark, tenant_status, parent_id, logo, is_local_lang)
select s, 'tenant_'||s, s, s||'name', NULL::character varying, '0'::character varying, NULL::character varying, '', NULL::character varying from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_trans
(trans_code, trans_name, kind_code, model_code, remark, ext_field_1, ext_field_2, ext_field_3, tenant_id, trans_order, parent_code, tree_idx)
select s, s, s, s, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, '0'::bigint, NULL::character varying, NULL::character varying from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_user
(user_id, user_name, user_pwd, org_id, user_type, user_status, lock_status, create_date, modify_date, pass_modify_date, mobile, email, ext_flag, remark, ext_field_1, ext_field_2, ext_field_3, ext_field_4, user_order, ext_field_5, c_identitytype, c_identityno, c_credentials, create_time, modify_time, operator_no, phone, fax, creator, editor, tenant_id, en_busi_line, employee_no, tenant_name, en_field_kind, work_status, kind_code, approval_status, user_img_path, filter_msg_type, is_leader, superior_user_id, user_nickname, user_ban, cancel_date, address, lang_user_name, login_type, user_sync_system, right_status, user_cate, pwd_type, user_resource, opt_type, user_signature_path, ower, ower_type, index_url, effective_date, ldap_user_id, product_permission, unit_permission, manager_code, user_ext_field1, user_ext_field2, user_ext_field3, user_ext_field4, user_ext_field5)
select s, 'user_'||s, NULL::character varying, s, '', '', '', 0, 0, 0, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, 0, 0, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, ' '::character varying, NULL::character varying, NULL::character varying, NULL::character varying, '1'::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, NULL::character varying, 0, NULL::character varying, NULL::character varying, NULL::character varying, '', '', '', '', '', '' from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_user_login
(user_id, last_login_date, last_login_time, last_login_ip, login_fail_times, last_fail_date, ext_field, kind_code, tenant_id, curr_language)
select s, 0, 0, NULL::character varying, 0, 0, NULL::character varying, NULL::character varying, NULL::character varying, 'zh-CN'::character varying from gen;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_user_right
(trans_code, sub_trans_code, user_id, create_by, create_date, begin_date, end_date, right_flag, right_enable, tenant_uuid, module_type, action_type, tenant_id, kind_code)
select s, s, s, NULL::character varying, 0, 0, 0, '1', NULL::character varying, 'BIZUUID'::character varying, NULL::character varying, NULL::character varying, NULL::character varying, s from gen;

with gen as (select generate_series as s from generate_series(1, 1000)), menu as (select generate_series as s from generate_series(1, 100))
INSERT INTO tsys_user_right_black
(trans_code, sub_trans_code, user_id)
select menu.s, menu.s, gen.s from gen cross join menu;

with gen as (select generate_series as s from generate_series(1, 1000))
INSERT INTO tsys_user_right_exclude
(trans_code, sub_trans_code, user_id, grant_user_id, create_by, create_date, begin_date, end_date, right_flag, right_enable, tenant_uuid, tenant_id, kind_code)
select s, s, s, (random()*10)::int, NULL::character varying, 0, 0, 0, '', NULL::character varying, 'BIZUUID'::character varying, NULL::character varying, s from gen;

--TRUNCATE TABLE tsys_grant;
--TRUNCATE TABLE tsys_handover;
--TRUNCATE TABLE tsys_kind;
--TRUNCATE TABLE tsys_menu;
--TRUNCATE TABLE tsys_organization;
--TRUNCATE TABLE tsys_pos_role;
--TRUNCATE TABLE tsys_pos_user;
--TRUNCATE TABLE tsys_role;
--TRUNCATE TABLE tsys_role_right;
--TRUNCATE TABLE tsys_role_user;
--TRUNCATE TABLE tsys_space_role_user;
--TRUNCATE TABLE tsys_tenant;
--TRUNCATE TABLE tsys_trans;
--TRUNCATE TABLE tsys_user;
--TRUNCATE TABLE tsys_user_login;
--TRUNCATE TABLE tsys_user_right;
--TRUNCATE TABLE tsys_user_right_black;
--TRUNCATE TABLE tsys_user_right_exclude;

--DROP TABLE tsys_grant;
--DROP TABLE tsys_handover;
--DROP TABLE tsys_kind;
--DROP TABLE tsys_menu;
--DROP TABLE tsys_organization;
--DROP TABLE tsys_pos_role;
--DROP TABLE tsys_pos_user;
--DROP TABLE tsys_role;
--DROP TABLE tsys_role_right;
--DROP TABLE tsys_role_user;
--DROP TABLE tsys_space_role_user;
--DROP TABLE tsys_tenant;
--DROP TABLE tsys_trans;
--DROP TABLE tsys_user;
--DROP TABLE tsys_user_login;
--DROP TABLE tsys_user_right;
--DROP TABLE tsys_user_right_black;
--DROP TABLE tsys_user_right_exclude;

